window.Gleam.initSearch([{"doc":"lzf_gleam","title":"lzf_gleam","content":"# lzf_gleam\n\nCompress and decompress using LZF algorithm\n\n[![Package Version](https://img.shields.io/hexpm/v/lzf_gleam)](https://hex.pm/packages/lzf_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lzf_gleam/)\n\n```sh\ngleam add lzf_gleam\n```\n\n## Quickstart\n\nTo use this LZF compression/decompression library, you will need to create a new Gleam project and add lzf dependency\n\n```gleam\nimport lzf\n\npub fn main() {\n  // Compression:\n  &quot;abcabcabcabcabcabc&quot; |&gt; compress\n  // &lt;&lt;3, 97, 98, 99, 240, 3, 240, 9, 1, 99&gt;&gt;\n  \n  // Decompression\n  &lt;&lt;3, 97, 98, 99, 240, 3, 240, 9, 1, 99&gt;&gt; |&gt; decompress\n  // &quot;abcabcabcabcabcabc&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/lzf_gleam&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"lzf_gleam","title":"DecompressError","content":"pub type DecompressError {\n  DecompressError\n}\n Error occurred deccompressing the BitArray\nDecompressError\n\n\nSynonyms:\nlzf_gleam.DecompressError\nlzf_gleam DecompressError","url":"lzf_gleam.html#DecompressError"},{"doc":"lzf_gleam","title":"compress","content":"pub fn compress(input: String) -&gt; BitArray\n Compress an input string, returns an LZF compressed BitArray\nSynonyms:\nlzf_gleam.compress\nlzf_gleam compress","url":"lzf_gleam.html#compress"},{"doc":"lzf_gleam","title":"decompress","content":"pub fn decompress(\n  data: BitArray,\n) -&gt; Result(String, DecompressError)\n Decompress a BitArray, this may fail if the LZF compressed BitArray is malformed\nSynonyms:\nlzf_gleam.decompress\nlzf_gleam decompress","url":"lzf_gleam.html#decompress"},{"doc":"lzf_gleam","title":"lzf_gleam","content":"","url":"lzf_gleam.html"}]);